/*======================================
	Rate CSS
========================================*/

.ActivityReview .form-main {
    padding: 50px 20px 50px 20px;
}

.ActivityReview .form .form-group {
    margin-bottom: 15px;
    display: block;
}

.ActivityReview .form .form-group input,
.form-group input,
.form-group select,
.form-group .star-rating,
.button {
    height: 55px;
    line-height: 55px;
    width: 100%;
    border: 1px solid var(--secondary-color);
    padding: 0px 20px;
    /* color: #333; */
    color: var(--main-color);
    font-weight: 400;
    border-radius: 4px;
    background: none;
}

.form-group .star-rating {
    text-align: center;
}

.ActivityReview .form .form-group textarea {
    height: 180px;
    width: 100%;
    border: 1px solid var(--secondary-color);
    padding: 15px 20px;
    /* color: #333; */
    color: var(--main-color);
    font-weight: 400;
    border-radius: 4px;
    background: none;
}

.ActivityReview .form .button {
    margin: 0;
    font-size: 1.3rem;
}

.ActivityReview .form .button .btn {
    height: 50px;
    border: none;
}

@media only screen and (min-width: 768px) and (max-width: 991px) {
    .ActivityReview .form-main {
        padding: 50px 50px 50px 50px !important;
    }
}

@media(max-width:768px) {
    .ActivityReview {
        margin-bottom: 1rem;
    }
}


/* rating */

.rating-css div {
    color: var(--main-color);
    font-size: 1rem;
    font-family: sans-serif;
    font-weight: 800;
    /* text-align: center; */
    text-transform: uppercase;
    /* padding: 20px 0; */
}

.rating-css input {
    display: none;
}

.rating-css input+label {
    font-size: 1rem;
    text-shadow: 1px 1px 0 var(--main-color);
    cursor: pointer;
}

.rating-css input:checked+label~label {
    color: #b4afaf;
}

.rating-css label:active {
    transform: scale(0.8);
    transition: 0.3s ease;
}

.star-rating form {
    display: none;
}

.star-rating input {
    display: none;
}

.star-rating {
    /* margin: 50px auto; */
    display: flex;
    /* table; */
    width: 100%;
    /* background: #eee; */
}

.star-rating label {
    padding-block: 6px;
    font-size: 30px;
    color: #2d2d725c;
}

.star-rating input:not(:checked)~label:hover,
.star-rating input:not(:checked)~label:hover~label {
    color: var(--main-color);
}

.star-rating input:checked~label {
    color: var(--secondary-color);
}

.star-rating form .rating-reaction:before {
    width: 100%;
    float: left;
    height: 46px;
    padding: 0 10px;
}

.rate:not(:checked)>input {
    position: absolute;
    display: none;
}

.rate:not(:checked)>label {
    float: right;
    width: 1em;
    overflow: hidden;
    white-space: nowrap;
    cursor: pointer;
    font-size: 30px;
    color: #ccc;
}

.rate:not(:checked)>label:before {
    content: '★ ';
}

.rate>input:checked~label {
    color: var(--main-color);
}

.rate:not(:checked)>label:hover,
.rate:not(:checked)>label:hover~label {
    color: var(--main-color);
}

.rate>input:checked+label:hover,
.rate>input:checked+label:hover~label,
.rate>input:checked~label:hover,
.rate>input:checked~label:hover~label,
.rate>label:hover~input:checked~label {
    color: var(--main-color);
}

.rating-container .form-control:hover,
.rating-container .form-control:focus {
    background: #fff;
    border: 1px solid #ced4da;
}

.rating-container textarea:focus,
.rating-container input:focus {
    color: #1f1f1f;
}


/* End */

.ActivityReviewbg {
    background: var(--secondary-color) !important;
    border-radius: 2px;
    color: white !important;
}

.ActivityReviewbg:hover {
    background: white !important;
    color: var(--secondary-color) !important;
}

.ActivityReviewbg:hover img {
    filter: drop-shadow(8px 8px 10px var(--secondary-color));
}

.ActivityReviewbg:nth-child(2n) {
    background: var(--main-color) !important;
    color: white !important;
}

.ActivityReviewbg:nth-child(2n):hover {
    background: white !important;
    color: var(--main-color) !important;
}

.ActivityReviewbg:nth-child(2n):hover img {
    filter: drop-shadow(8px 8px 10px var(--main-color));
}